Subject: [core] GroupComm I-D updated to -17

From: "Dijk, Esko" <[email-masked]>
Date: Thu, 28 Nov 2013 12:01:46 +0000

Dear all,

the groupcomm I-D has been updated to version 17 now, closing the remaining open tickets.
See below for a log of changes made. It includes the proposed changes to the group membership configuration interface as discussed in last IETF meeting.

Carsten, Andrew: we believe the I-D is ready for WGLC. If you agree with our viewpoint, could you start the WGLC process?

regards,
Esko & Akbar

---
   Changes from ietf-16 to ietf-17:

   o  Added guidelines on joining of IPv6/IPv4 "All CoAP Nodes"
      multicast addresses (#356).

   o  Added MUST support default port in case multicast discovery is
      available.

   o  In section 2.1 (IP Multicast Background), clarified that IP
      multicast is not guaranteed and referenced a definition of
      Reliable Group Communication (#355).

   o  Added section 2.5 (Messages and Responses) to clarify how
      responses are identified and how Token/MID are used in multicast
      CoAP.

   o  In section 2.6.2 (RESTful Interface for Configuring Group
      Memberships), clarified that group management interface is an
      optional approach for dynamic commissioning and that other
      approaches can also be used if desired.

   o  Updated section 2.6.2 (RESTful Interface for Configuring Group
      Memberships) to allow deletion of individual group memberships
      (#354).

   o  Various editorial updates based on comments by Peter van der Stok.
      Removed reference to expired draft-vanderstok-core-dna at request
      of its author.

   o  Various editorial updates for improved readability.

________________________________
The information contained in this message may be confidential and legally protected under applicable law. The message is intended solely for the addressee(s). If you are not the intended recipient, you are hereby notified that any use, forwarding, dissemination, or reproduction of this message is strictly prohibited and may be unlawful. If you are not the intended recipient, please contact the sender by return e-mail and destroy all copies of the original message.